aboutsummaryrefslogtreecommitdiffstats
path: root/k6-tests
diff options
context:
space:
mode:
authorSourabh Sourabh <sourabh.sourabh@est.tech>2025-02-14 11:55:26 +0000
committerGerrit Code Review <gerrit@onap.org>2025-02-14 11:55:26 +0000
commit58e0ea80f604a910fd1e496d92cefbcdc7740ae5 (patch)
tree0dc9a987ac09eb50808e764b5a2c372903029a7d /k6-tests
parent5d6c7d4739d8665a036ac0b99a6132aef6cdc984 (diff)
parent3ce7fde27b0f3b9d87a1566070347af708c4b3c6 (diff)
Merge "Add healthchecks for docker-compose for k6 and CSIT"
Diffstat (limited to 'k6-tests')
-rwxr-xr-xk6-tests/setup.sh26
1 files changed, 8 insertions, 18 deletions
diff --git a/k6-tests/setup.sh b/k6-tests/setup.sh
index c794c64dd0..3a121cf157 100755
--- a/k6-tests/setup.sh
+++ b/k6-tests/setup.sh
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# Copyright 2024 Nordix Foundation.
+# Copyright 2024-2025 Nordix Foundation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -18,24 +18,14 @@
testProfile=$1
echo "Spinning off the CPS and NCMP containers for $testProfile testing..."
-if [[ "$testProfile" == "endurance" ]]; then
- docker-compose -f ../docker-compose/docker-compose.yml --profile dmi-stub --project-name "$testProfile" --env-file ../docker-compose/config/endurance.env up --quiet-pull -d
- CONTAINER_IDS=$(docker ps --filter "name=endurance-cps-and-ncmp" --format "{{.ID}}")
-else
- docker-compose -f ../docker-compose/docker-compose.yml --profile dmi-stub --project-name "$testProfile" up --quiet-pull -d
- CONTAINER_IDS=$(docker ps --filter "name=kpi-cps-and-ncmp" --format "{{.ID}}")
-fi
+ENV_FILE="../docker-compose/env/${testProfile}.env"
+docker-compose \
+ --file "../docker-compose/docker-compose.yml" \
+ --env-file "$ENV_FILE" \
+ --project-name "$testProfile" \
+ --profile dmi-stub \
+ up --quiet-pull --detach --wait || exit 1
-echo "Waiting for CPS to start..."
-READY_MESSAGE="Inventory Model updated successfully"
-
-# Check the logs for each container
-for CONTAINER_ID in $CONTAINER_IDS; do
- echo "Checking logs for container: $CONTAINER_ID"
- docker logs "$CONTAINER_ID" -f | grep -m 1 "$READY_MESSAGE" >/dev/null && echo "CPS is ready in container: $CONTAINER_ID" || true
-done
-
-# Output build information including git commit info
echo "Build information:"
curl http://localhost:8883/actuator/info
echo